Package org.springframework.security.core.authority.mapping

# Interface Attributes2GrantedAuthoritiesMapper

All Known Implementing Classes:
  `MapBasedAttributes2GrantedAuthoritiesMapper`, `SimpleAttributes2GrantedAuthoritiesMapper`

public interface Attributes2GrantedAuthoritiesMapper
Interface to be implemented by classes that can map a list of security attributes (such as roles or group names) to a collection of Spring Security `GrantedAuthority`s.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`getGrantedAuthorities(Collection<String> attributes)`
Implementations of this method should map the given collection of attributes to a collection of Spring Security GrantedAuthorities.

## Method Details

### getGrantedAuthorities

Collection<? extends GrantedAuthority> getGrantedAuthorities(Collection<String> attributes)
Implementations of this method should map the given collection of attributes to a collection of Spring Security GrantedAuthorities. There are no restrictions for the mapping process; a single attribute can be mapped to multiple Spring Security GrantedAuthorities, all attributes can be mapped to a single Spring Security `GrantedAuthority`, some attributes may not be mapped, etc.

Parameters:
  `attributes` - the attributes to be mapped
Returns:
  the collection of authorities created from the attributes